package com.labwork1.app;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@SpringBootApplication
@RestController
public class AppApplication {
	public static void main(String[] args) {
		SpringApplication.run(AppApplication.class, args);
	}
	@GetMapping("/hello")
	public String hello(@RequestParam(value = "name", defaultValue = "World") String name) {
		return String.format("Hello %s!", name);
	}
	@GetMapping("/plus")
	public String plus(@RequestParam(required = false, defaultValue = "0") double first,
					  @RequestParam(required = false, defaultValue = "0") double second) {
		return Double.toString(first + second);
	}
	@GetMapping("/minus")
	public String minus(@RequestParam(required = false, defaultValue = "0") double first,
					  @RequestParam(required = false, defaultValue = "0") double second) {
		return Double.toString(first - second);
	}
	@GetMapping("/mult")
	public String mult(@RequestParam(required = false, defaultValue = "1") double first,
					   @RequestParam(required = false, defaultValue = "1") double second) {
		return Double.toString(first * second);
	}
	@GetMapping("/div")
	public String div(@RequestParam(required = false, defaultValue = "1") double first,
					  @RequestParam(required = false, defaultValue = "1") double second) {
		if(second == 0)
		{
			return null;
		}
		return Double.toString(first/second);
	}
}
